> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Save route assignments

POST https://ssuccessv2.com/app/api/v1/bussing/route-management/{batch_id}/{run_setup_id}
Content-Type: application/json

Saves the route, bus, driver, stop, and student assignments for a run setup.

Reference: https://docs.schoolset.io/api-reference/school-set-api/bussing-route-management/set-bussing-route-management

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `batch_id` (integer, required)
- `run_setup_id` (integer, required)

### Body (application/json)

This endpoint expects an object.

- `routes` (list of ApiV1BussingRouteManagementBatchIdRunSetupIdPostRequestBodyContentApplicationJsonSchemaRoutesItems, required)

## Response

### 200

Route assignments saved.

- `status` (string, optional)
- `message` (string, optional)
- `data` (map from string to any, optional)

## Errors

### 401 Unauthorized Error

Authentication required

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Invalid or duplicate route assignment

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV1BussingRouteManagementBatchIdRunSetupIdPostRequestBodyContentApplicationJsonSchemaRoutesItems

- `route_number` (integer, required)
- `busing_id` (integer, required)
- `driver_id` (integer, required)
- `start_point_id` (integer, optional, nullable)
- `end_point_id` (integer, optional, nullable)
- `students` (list of map from string to any, optional)
- `mandatory_first` (map from string to any, optional, nullable)
- `mandatory_last` (map from string to any, optional, nullable)

## Examples

**Request**

```json
{
  "routes": [
    {
      "route_number": 3,
      "busing_id": 27,
      "driver_id": 84,
      "start_point_id": 5,
      "end_point_id": 8,
      "students": [
        {
          "student_id": 4812,
          "route_data": {
            "address_id": 7301,
            "order": 1
          }
        }
      ]
    }
  ]
}
```

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12"

payload = { "routes": [
        {
            "route_number": 3,
            "busing_id": 27,
            "driver_id": 84,
            "start_point_id": 5,
            "end_point_id": 8,
            "students": [
                {
                    "student_id": 4812,
                    "route_data": {
                        "address_id": 7301,
                        "order": 1
                    }
                }
            ]
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"routes":[{"route_number":3,"busing_id":27,"driver_id":84,"start_point_id":5,"end_point_id":8,"students":[{"student_id":4812,"route_data":{"address_id":7301,"order":1}}]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12"

	payload := strings.NewReader("{\n  \"routes\": [\n    {\n      \"route_number\": 3,\n      \"busing_id\": 27,\n      \"driver_id\": 84,\n      \"start_point_id\": 5,\n      \"end_point_id\": 8,\n      \"students\": [\n        {\n          \"student_id\": 4812,\n          \"route_data\": {\n            \"address_id\": 7301,\n            \"order\": 1\n          }\n        }\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"routes\": [\n    {\n      \"route_number\": 3,\n      \"busing_id\": 27,\n      \"driver_id\": 84,\n      \"start_point_id\": 5,\n      \"end_point_id\": 8,\n      \"students\": [\n        {\n          \"student_id\": 4812,\n          \"route_data\": {\n            \"address_id\": 7301,\n            \"order\": 1\n          }\n        }\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"routes\": [\n    {\n      \"route_number\": 3,\n      \"busing_id\": 27,\n      \"driver_id\": 84,\n      \"start_point_id\": 5,\n      \"end_point_id\": 8,\n      \"students\": [\n        {\n          \"student_id\": 4812,\n          \"route_data\": {\n            \"address_id\": 7301,\n            \"order\": 1\n          }\n        }\n      ]\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12', [
  'body' => '{
  "routes": [
    {
      "route_number": 3,
      "busing_id": 27,
      "driver_id": 84,
      "start_point_id": 5,
      "end_point_id": 8,
      "students": [
        {
          "student_id": 4812,
          "route_data": {
            "address_id": 7301,
            "order": 1
          }
        }
      ]
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"routes\": [\n    {\n      \"route_number\": 3,\n      \"busing_id\": 27,\n      \"driver_id\": 84,\n      \"start_point_id\": 5,\n      \"end_point_id\": 8,\n      \"students\": [\n        {\n          \"student_id\": 4812,\n          \"route_data\": {\n            \"address_id\": 7301,\n            \"order\": 1\n          }\n        }\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["routes": [
    [
      "route_number": 3,
      "busing_id": 27,
      "driver_id": 84,
      "start_point_id": 5,
      "end_point_id": 8,
      "students": [
        [
          "student_id": 4812,
          "route_data": [
            "address_id": 7301,
            "order": 1
          ]
        ]
      ]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```